<!DOCTYPE html>
<html>
  <head>
    {% block style %}
    {% endblock %}
    <style>
      body {
        font-family: arial, sans-serif;
      }
      .bg-grey {
        background-color: #c0c0c0;
        -webkit-print-color-adjust: exact;
      }
      .bg-grey-light {
        background-color: #f5f5f5;
        -webkit-print-color-adjust: exact;
      }
      .text-n {
        color: #ccb71c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-p {
        color: #cc5f1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-k {
        color: #88cc1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-grey {
        color: #9e9e9e;
        -webkit-print-color-adjust: exact;
      }
      .text-bold {
        font-weight: 600;
      }
      table {
        border-collapse: collapse;
        width: 100%;
      }
      td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
      }
    </style>
  </head>
  <body>
    <div id="content">
      {% for fertilization_plan in fertilization_plans %}
        <h1 style="margin-top: 0px;">{{ fertilization_plan.fertilization_plan_name }}</h1>
        <p>{{ fertilization_plan.holding_name }} ({{ fertilization_plan.campaign_name }})</p>
        <table>
          <tr>
            <th>
              Algoritmo
            </th>
            <th>
              Último guardado en
            </th>
            <th>
              Informe creado en
            </th>
          </tr>
          <tr>
            <td>
              <div style="display: flex; flex-wrap: nowrap; align-items: center;">
                <div style="display: flex; align-items: center;">
                  <div style="width: 25px; height: auto;">{{ algorithm_logo|safe }}</div>
                  <div style="margin-left: 8px;">{{ algorithm_name }}</div>
                </div>
              </div>
            </td>
            <td>
              {{ fertilization_plan.fertilization_plan_date|datetimeformat("%Y-%m-%d %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
            <td>
              {{ current_date_time|datetimeformat("%Y-%m-%d %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
          </tr>
        </table>
        <!-- <p>Last modified at: {{ fertilization_plan_date }}</p>
        <p>PDF created at: {{ current_date_time }}</p> -->
        {% if fertilization_plan.recommendations_by_plot %}
          {% for plot_id, plot_recommendation in fertilization_plan.recommendations_by_plot.items() %}
            <h3 style="padding-top: 16px;">{{ plot_recommendation.plot_name }}</h3>
            <p><span style="text-transform: uppercase;">{{ plot_recommendation.recommendation.plant_species_name }}</span> - {{ plot_recommendation.recommendation.crop_yield }} {{ plot_recommendation.recommendation.crop_yield_unit_of_measure_symbol }}</p>
            {% if plot_recommendation.plot_preview %}
            <div style="width: 100%; max-height: 350px;">
              {{ plot_recommendation.plot_preview|safe }}
            </div>
            {% endif %}
            <table style="margin-top: 2em;">
              <tr>
                <th colspan="3" style="text-align: center; font-size: 1.15em;">
                  Recomendación de nutrientes
                </th>
              </tr>
              <tr>
                {% for element_recommendation in plot_recommendation.recommendation.element_recommendations %}
                  {% if element_recommendation.chemical_element_id|lower == 'n' %}
                    <th>Nitrógeno</th>
                  {% elif element_recommendation.chemical_element_id|lower == 'p' %}
                    <th>Fósforo</th>
                  {% else %}
                    <th>Potasio</th>
                  {% endif %}
                {% endfor %}
              </tr>
              <tr>
                {% for element_recommendation in plot_recommendation.recommendation.element_recommendations %}
                  <td><span class="text-bold">{{ element_recommendation.quantity }}</span> {{ element_recommendation.quantity_unit_of_measure_symbol }}</td>
                {% endfor %}
              </tr>
            </table>
            {% if plot_recommendation.recommendation.basal_configuration or plot_recommendation.recommendation.topdressing_configuration %}
              <div style="padding-top: 2em;">
                {% if plot_recommendation.recommendation.basal_configuration %}
                  <table>
                    <tr>
                      <th colspan="5" style="text-align: center; font-size: 1.15em;">
                        Fondo
                      </th>
                    </tr>
                    <tr>
                      <th>Fertilizante</th>
                      <th>Cantidad</th>
                      <th>Cantidad para la parcela</th>
                      <th>Precio</th>
                      <th>Precio para la parcela</th>
                    </tr>
                    {% for fertilizer in plot_recommendation.recommendation.basal_configuration.fertilizers %}
                      <tr>
                        <td>{{ fertilizer.name }}</td>
                        <td>{{ fertilizer.quantity }} {{ fertilizer.quantity_unit or 'kg/ha' }}</td>
                        <td>{{ fertilizer.plotQuantity }} {{ fertilizer.plotQuantity_unit or 'kg' }}</td>
                        <td>{{ fertilizer.price }} {{ fertilizer.price_unit or '€/ha' }}</td>
                        <td>{{ fertilizer.plotPrice }} {{ fertilizer.plotPrice_unit or '€' }}</td>
                      </tr>
                    {% endfor %}
                  </table>
                {% endif %}
                {% if plot_recommendation.recommendation.topdressing_configuration %}
                  <table style="{{ 'margin-top: 2em;' if plot_recommendation.recommendation.basal_configuration else '' }}">
                    <tr>
                      <th colspan="6" style="text-align: center; font-size: 1.15em;">
                        Cobertera
                      </th>
                    </tr>
                    <tr>
                      <th>Application</th>
                      <th>Fertilizante</th>
                      <th>Cantidad</th>
                      <th>Cantidad para la parcela</th>
                      <th>Precio</th>
                      <th>Precio para la parcela</th>
                    </tr>
                    {% for topdressing_application in plot_recommendation.recommendation.topdressing_configuration %}
                      <tr>
                        <td>#{{ loop.index }}</td>
                        <td>{{ topdressing_application.fertilizer.name }}</td>
                        <td>{{ topdressing_application.quantity }} {{ topdressing_application.quantity_unit or 'kg/ha' }}</td>
                        <td>{{ topdressing_application.plotQuantity }} {{ topdressing_application.plotQuantity_unit or 'kg' }}</td>
                        <td>{{ topdressing_application.price }} {{ topdressing_application.price_unit or '€/ha'}}</td>
                        <td>{{ topdressing_application.plotPrice }} {{ topdressing_application.plotPrice_unit or '€' }}</td>
                      </tr>
                    {% endfor %}
                  </table>
                {% endif %}
              </div>
            {% endif %}
          {% endfor %}
        {% endif %}
        {% if fertilization_plan.parameters %}
          <div style="padding-top: 2em;">
            <p style="margin-top: 0;">Parámetros del plan de fertilización</p>
            <table>
              <tr>
                <th>Parámetro</th>
                <th>Valor</th>
              </tr>
              {% if fertilization_plan.parameters.plant_species %}
                <tr>
                  <td>Cultivo</td>
                  <td>{{ fertilization_plan.parameters.plant_species.name }}</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.plant_species_profile %}
                <tr>
                  <td>Perfil de cultivo</td>
                  <td>{{ fertilization_plan.parameters.plant_species_profile.profile_name }}</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.irrigation_method %}
                <tr>
                  <td>Método de regadío</td>
                  <td>{{ fertilization_plan.parameters.irrigation_method.label }}</td>
                </tr>
              {% endif %}
              {% if not fertilization_plan.parameters.yield is none %}
                <tr>
                  <td>Rendimiento objetivo</td>
                  <td>{{ fertilization_plan.parameters.yield }} kg/ha</td>
                </tr>
              {% endif %}
              {% if not fertilization_plan.parameters.current_fraction_residues is none %}
                <tr>
                  <td>Porcentaje de residuos que dejará en el campo</td>
                  <td>{{ fertilization_plan.parameters.current_fraction_residues }}%</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.previous_plant_species %}
                <tr>
                  <td>Cultivo (Campaña anterior)</td>
                  <td>{{ fertilization_plan.parameters.previous_plant_species.name }}</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.previous_plant_species_profile %}
                <tr>
                  <td>Perfil de cultivo (Campaña anterior)</td>
                  <td>{{ fertilization_plan.parameters.previous_plant_species_profile.profile_name }}</td>
                </tr>
              {% endif %}
              {% if not fertilization_plan.parameters.previous_yield is none %}
                <tr>
                  <td>Rendimiento (Campaña anterior)</td>
                  <td>{{ fertilization_plan.parameters.previous_yield }} kg/ha</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.previous_fraction_residues %}
                <tr>
                  <td>Porcentaje de residuos que dejará en el campo (Campaña anterior)</td>
                  <td>{{ fertilization_plan.parameters.previous_fraction_residues }}%</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.previous_incorporate_residues_with_tillage %}
                <tr>
                  <td>¿Incorporó los residuos a la tierra mediante una preparación de la misma? Campaña anterior)</td>
                  <td>{{ 'Sí' if fertilization_plan.parameters.previous_incorporate_residues_with_tillage else 'No' }}</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.strategy %}
                <tr>
                  <td>Estrategia</td>
                  <td>{{ fertilization_plan.parameters.strategy.label }}</td>
                </tr>
              {% endif %}
              {% if fertilization_plan.parameters.soil_objects and fertilization_plan.parameters.soil_objects|length %}
                {% if fertilization_plan.parameters.soil_objects[0].observations.texture %}
                  <tr>
                    <td>Textura de suelo</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.texture.label }}</td>
                  </tr>
                {% endif %}
                {% if not fertilization_plan.parameters.soil_objects[0].observations.organic_matter_pct is none %}
                  <tr>
                    <td>Porcentaje de materia orgánica</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.organic_matter_pct.value }} %</td>
                  </tr>
                {% endif %}
                {% if not fertilization_plan.parameters.soil_objects[0].observations.phosphorus is none %}
                  <tr>
                    <td>Fósforo en el suelo</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.phosphorus.value }} ppm</td>
                  </tr>
                {% endif %}
                {% if not fertilization_plan.parameters.soil_objects[0].observations.potassium is none %}
                  <tr>
                    <td>Potasio en el suelo</td>
                    <td>{{ fertilization_plan.parameters.soil_objects[0].observations.potassium.value }} ppm</td>
                  </tr>
                {% endif %}
              {% endif %}
              {% if fertilization_plan.parameters.irrigation_method.value == "IRRIGATED" %}
                {% if not fertilization_plan.parameters.nitrogen_in_water is none %}
                  <tr>
                    <td>Nitrógeno en agua</td>
                    <td>{{ fertilization_plan.parameters.nitrogen_in_water }} ppm</td>
                  </tr>
                {% endif %}
                {% if not fertilization_plan.parameters.irrigation_dotation is none %}
                  <tr>
                    <td>Dotación de riego</td>
                    <td>{{ fertilization_plan.parameters.irrigation_dotation }} m3/ha</td>
                  </tr>
                {% endif %}
              {% endif %}
              {% if not fertilization_plan.parameters.nitrogen_in_soil is none %}
                <tr>
                  <td>Nitrógeno en el suelo al inicio de la estación</td>
                  <td>{{ fertilization_plan.parameters.nitrogen_in_soil }} ppm</td>
                </tr>
              {% endif %}
            </table>
          </div>
        {% endif %}
        {% if not loop.last %}
          <hr style="margin-top: 36px; margin-bottom: 36px;" />
        {% endif %}
      {% endfor %}
    </div> 
  </body>
</html>